Bug 599288 - Should not permit image installation before storage is configured
Should not permit image installation before storage is configured
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Joey Boggs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 23:47 EDT by XinSun
Modified: 2016-04-26 11:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: ovirt-node-1.0-46.el5
Doc Type: Bug Fix
Doc Text:
During the installation of Red Hat Enterprise Virtualization Hypervisor, selecting the "Install locally and reboot" menu option without configuring the storage first caused the installation to fail. With this update, the installation script has been modified to verify that the storage is properly configured, prompting a user to do so if it is not.
Story Points: ---
Clone Of:
: 613781 619860 (view as bug list)
Environment:
Last Closed: 2011-01-13 13:43:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (815 bytes, patch)
2010-07-12 15:56 EDT, Joey Boggs
no flags Details | Diff

  None (edit)
Description XinSun 2010-06-02 23:47:38 EDT
Description of problem:
In firstboot menu, we can use option 8 to do installation after storage partition. But if there is no HostVG existed, when user choose option 8 to do installation, they will meet install fail. So I think we should not permit installation if there is no HostVG existed, and give tip to let user do partition first.

Version-Release number of selected component (if applicable):
rhev-hypervisor-5.5-2.2.4

How reproducible:
Always

Steps to Reproduce:
1.Boot from USB/CDROM/PXE
2.In firstboot menu, uninstall the rhevh first if it is installed on your machine
3.In firstboot menu, choose option 8) directly to do installation
  
Actual results:
You will see :
boot partition not available.
ERROR: Install locally and reboot FAILED. See /var/log/ovirt.log
Red Hat Enterprise Virtualization Hypervisor release 5.5-2.2 (4) 

Expected results:
OS will not permit installation in this cases, and give tip to let user do storage partition first.

Additional info:
Comment 2 Joey Boggs 2010-07-12 15:56:16 EDT
Created attachment 431255 [details]
patch
Comment 5 XinSun 2010-10-08 05:37:32 EDT
Check this bug on rhev-hypervisor-5.6(4.el5), do follow steps;
1.Boot from USB/CDROM/PXE
2.In firstboot menu, uninstall the rhevh first if it is installed on your
machine
3.In firstboot menu, choose option 8) directly to do installation,
then you can see follow results:

Red Hat Enterprise Virtualization Hypervisor release 5.6 (4.el5)


 Hypervisor Configuration Menu

1) Configure storage partitions	       6) Configure the host for RHEV
2) Configure authentication	       7) View logs
3) Set the hostname		       8) Install locally and reboot
4) Networking setup		       9) Exit Hypervisor Configuration Menu
5) Register Host to RHN
Choose an option to configure: 8

 Install locally and reboot


This option exits the menu and requires a reboot. 
Ensure local storage and networking is configured
correctly on the previous menu before continuing.

The current kernel boot parameters are:
 crashkernel=128M@16M elevator=deadline processor.max_cstate=1

Enter kernel boot parameters (press Enter to use the present arguments): 
Do you wish to proceed ([Y]es or [N]o)? y

 Volume group "HostVG" not found
 Skipping volume group HostVG

Local storage must be configured prior to installing

Install locally and reboot ABORTED.
Comment 7 Jaromir Hradilek 2011-01-04 13:15:51 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
During the installation of Red Hat Enterprise Virtualization Hypervisor, selecting the "Install locally and reboot" menu option without configuring the storage first caused the installation to fail. With this update, the installation script has been modified to verify that the storage is properly configured, prompting a user to do so if it is not.
Comment 9 errata-xmlrpc 2011-01-13 13:43:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0148.html

Note You need to log in before you can comment on or make changes to this bug.